> For the complete documentation index, see [llms.txt](https://docs.xshyo.us/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xshyo.us/free-plugins/therewards/development-portal/api-getting-started.md).

# API Getting Started

### Introduction

TheRewards contains an API for obtaining or modifying player rewards.

### Setup <a href="#maven" id="maven"></a>

Replace **VERSION** with the plugin version

```xml
<dependencies>
        <dependency>
            <groupId>xshyo.us</groupId>
            <artifactId>TheRewards</artifactId>
            <version>1.4.5-STABLE</version>
            <scope>provided</scope>
        </dependency>
</dependencies>
```

In your plugin.yml file you must add as a dependency

```yaml
depend: [TheRewards]
```

### Getting an API instance

```java
import xshyo.com.therewards.TheRewardsAPI;
import xshyo.com.therewards.TheRewards;
import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

public class Example extends JavaPlugin {

    private TheRewardsAPI api;    
        
    @Override
    public void onEnable() {
        if (Bukkit.getPluginManager().isPluginEnabled("TheRewards")) {
            this.api = TheRewards.getInstance().getAPI();
        }

        if (this.api != null) {
    
        }
        
    }
}
```

## API

> <mark style="color:red;">**The Settings option is not yet functional.**</mark>

```java
/**
 * Retrieves a reward by its name.
 *
 * @param name Name of the reward to search for.
 * @return The reward corresponding to the provided name, or null if not found.
 */
 
public Rewards getRewardByName(String name)

/**
 * Checks if a reward exists by its name.
 *
 * @param name Name of the reward to check.
 * @return true if the reward exists, false otherwise.
 */
public boolean isReward(String name)


public boolean availableStreak(UUID uuid)

/**
 * Sets reward options for a player.
 *
 * @param playerId Unique identifier of the player.
 * @param settingsData Reward configuration data for the player.
 */
public void setRewardOptions(UUID playerId, SettingsData settingsData)


/**
 * Retrieves reward options for a player.
 *
 * @param playerId Unique identifier of the player.
 * @return Reward configuration data for the player identified by their UUID.
 */
public SettingsData getRewardOptions(UUID playerId)

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xshyo.us/free-plugins/therewards/development-portal/api-getting-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
